This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### Server
Examples |
    import processing.net.*;
    Server myServer;
    int val = 0;

    void setup() {
      size(200, 200);
      // Starts a myServer on port 5204
      myServer = new Server(this, 5204);
    }

    void draw() {
      val = (val + 1) % 255;
      background(val);
      myServer.write(val);
    }
Description | A server sends and receives data to and from its associated clients (other programs connected to it). When a server is started, it begins listening for connections on the port specified by the port parameter. Computers have many ports for transferring data and some are commonly used so be sure to not select one of these. For example, web servers usually use port 80 and POP mail uses port 110.
Methods |
disconnect() | Disconnect a particular client.
available() | Returns the next client in line with a new message.
stop() | Disconnects all clients and stops the server.
write() | Writes data to all connected clients
Constructor |
    Server(parent, port)
Parameters |
parent | PApplet: typically use "this"
port | int: port used to transfer data

Updated on October 26, 2013 08:58:28pm PDT